@copy %1\readc1.txt 
@copy %1\patch.exe .

:chkdisk3
if exist %1\disk3.mid goto disk3
echo.
echo Please insert Disk #3 into %1
echo.
pause
cls
goto chkdisk3

:disk3
patch . %1\r13c1_du
if errorlevel 1 goto perror

:chkdisk4
if exist %1\disk4.mid goto disk4
echo.
echo Please insert Disk #4 into %1
echo.
pause
cls
goto chkdisk4

:disk4
@copy %1\readme.txt .
@copy %1\readme.ads .

patch . %1\d_supp1
if errorlevel 1 goto perror

@del patch.exe

echo Installation complete.
goto done

:perror
echo Installation not complete.

:done
